diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractOriginalSourceElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractOriginalSourceElement.java
index 5ac8c478e..e7fd7c61a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractOriginalSourceElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractOriginalSourceElement.java
@@ -14,9 +14,9 @@ import org.apache.log4j.Logger;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.common.OriginalSourceBase;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -35,14 +35,14 @@ public abstract class AbstractOriginalSourceElement<T extends OriginalSourceBase
 	/**
 	 * <p>Constructor for AbstractOriginalSourceElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param section a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
 	 * @param element a T object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 * @param style a int.
 	 * @param <T> a T object.
 	 */
-	public AbstractOriginalSourceElement(CdmFormFactory formFactory,
+	public AbstractOriginalSourceElement(CdmFormFactoryFacade formFactory,
 			AbstractFormSection section,
 			T element, SelectionListener removeListener,
 			int style) {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractReferencedEntityElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractReferencedEntityElement.java
index 668879296..0cabf3936 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractReferencedEntityElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AbstractReferencedEntityElement.java
@@ -14,10 +14,10 @@ import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.common.ReferencedEntityBase;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
 import eu.etaxonomy.taxeditor.ui.selection.ReferenceSelectionElement;
@@ -47,7 +47,7 @@ public abstract class AbstractReferencedEntityElement<T extends ReferencedEntity
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param section
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection}
@@ -61,7 +61,7 @@ public abstract class AbstractReferencedEntityElement<T extends ReferencedEntity
 	 * @param <T>
 	 *            a T object.
 	 */
-	public AbstractReferencedEntityElement(CdmFormFactory formFactory,
+	public AbstractReferencedEntityElement(CdmFormFactoryFacade formFactory,
 			AbstractFormSection section, T entity,
 			SelectionListener removeListener, int style) {
 		super(formFactory, section, entity, removeListener, null, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java
index bd7549066..74ad42b66 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java
@@ -6,10 +6,10 @@ package eu.etaxonomy.taxeditor.ui.section.supplemental;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.common.Annotation;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
 import eu.etaxonomy.taxeditor.ui.term.AnnotationTypeComboElement;
@@ -31,10 +31,10 @@ public class AnnotationElement extends AbstractEntityCollectionElement<Annotatio
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
 	 * @param annotation a {@link eu.etaxonomy.cdm.model.common.Annotation} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 */
-	public AnnotationElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Annotation annotation, SelectionListener removeListener, int style) {
+	public AnnotationElement(CdmFormFactoryFacade cdmFormFactory, AbstractFormSection formElement, Annotation annotation, SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, annotation, removeListener, null, style);
 	}
 	
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationSection.java
index 70af38fc4..638eee71b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationSection.java
@@ -10,8 +10,8 @@ import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.AnnotationType;
 import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -29,10 +29,10 @@ public class AnnotationSection extends AbstractEntityCollectionSection<Annotatab
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public AnnotationSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public AnnotationSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation, parentElement, "Annotations", style);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditElement.java
index 20125a59a..048ba4654 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditElement.java
@@ -6,10 +6,10 @@ package eu.etaxonomy.taxeditor.ui.section.supplemental;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.common.Credit;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
 import eu.etaxonomy.taxeditor.ui.selection.AgentSelectionElement;
@@ -39,14 +39,14 @@ public class CreditElement extends AbstractEntityCollectionElement<Credit> {
 	 * @param style
 	 *            a int.
 	 * @param cdmFormFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param credit
 	 *            a {@link eu.etaxonomy.cdm.model.common.Credit} object.
 	 * @param removeListener
 	 *            a {@link org.eclipse.swt.events.SelectionListener} object.
 	 */
-	public CreditElement(CdmFormFactory cdmFormFactory,
+	public CreditElement(CdmFormFactoryFacade cdmFormFactory,
 			AbstractFormSection formElement, Credit credit,
 			SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, credit, removeListener, null, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditSection.java
index ba5b84958..e18848a45 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/CreditSection.java
@@ -9,7 +9,7 @@ import java.util.Collection;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.Credit;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -27,10 +27,10 @@ public class CreditSection extends AbstractEntityCollectionSection<IdentifiableE
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public CreditSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public CreditSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation, parentElement, "Credits", style);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionElement.java
index 1f93a017a..bab00a513 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionElement.java
@@ -8,10 +8,10 @@ import org.eclipse.swt.events.SelectionListener;
 import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
 import eu.etaxonomy.cdm.model.common.Extension;
 import eu.etaxonomy.cdm.model.common.ExtensionType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
 import eu.etaxonomy.taxeditor.ui.term.ExtensionTypeComboElement;
@@ -35,9 +35,9 @@ public class ExtensionElement extends AbstractEntityCollectionElement<Extension>
 	 * @param element a {@link eu.etaxonomy.cdm.model.common.Extension} object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 */
-	public ExtensionElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Extension element,
+	public ExtensionElement(CdmFormFactoryFacade cdmFormFactory, AbstractFormSection formElement, Extension element,
 			SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, element, removeListener, null, style);
 	}
@@ -50,7 +50,7 @@ public class ExtensionElement extends AbstractEntityCollectionElement<Extension>
 	public void createControls(ICdmFormElement element, int style) {
 		combo_extensionType = (ExtensionTypeComboElement) formFactory.createTermComboElement(TermComboType.EXTENSIONTYPE, this, null, null, style);
 		text_extensionValue = formFactory.createTextWithLabelElement(element, null, null, style);
-		text_extensionValue.getLayoutComposite().setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		text_extensionValue.getLayoutComposite().setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 	}
 
 	/* (non-Javadoc)
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionSection.java
index 3178e86bd..1faebbc1b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/ExtensionSection.java
@@ -9,7 +9,7 @@ import java.util.Collection;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.Extension;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -26,10 +26,10 @@ public class ExtensionSection extends AbstractEntityCollectionSection<Identifiab
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public ExtensionSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public ExtensionSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation,parentElement, "Extensions", style);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java
index 8c5f93b24..e581d2d83 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java
@@ -7,8 +7,8 @@ package eu.etaxonomy.taxeditor.ui.section.supplemental;
 import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
 import eu.etaxonomy.cdm.model.common.ICdmBase;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -22,11 +22,11 @@ public class HeadlineSection extends AbstractFormSection<ICdmBase> {
 	/**
 	 * <p>Constructor for HeadlineSection.</p>
 	 *
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
 	 */
-	public HeadlineSection(CdmFormFactory cdmFormFactory, ICdmFormElement parentElement,
+	public HeadlineSection(CdmFormFactoryFacade cdmFormFactory, ICdmFormElement parentElement,
 			int style) {
 		super(cdmFormFactory, null, parentElement, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/IdentifiableSourceElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/IdentifiableSourceElement.java
index 08506012b..200885caa 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/IdentifiableSourceElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/IdentifiableSourceElement.java
@@ -6,8 +6,8 @@ package eu.etaxonomy.taxeditor.ui.section.supplemental;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -26,9 +26,9 @@ public class IdentifiableSourceElement extends AbstractOriginalSourceElement<Ide
 	 * @param element a {@link eu.etaxonomy.cdm.model.common.IdentifiableSource} object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 */
-	public IdentifiableSourceElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, IdentifiableSource element,
+	public IdentifiableSourceElement(CdmFormFactoryFacade cdmFormFactory, AbstractFormSection formElement, IdentifiableSource element,
 			SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, element, removeListener, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerElement.java
index 7c70ac19a..fb76e127e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerElement.java
@@ -7,11 +7,11 @@ import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.common.Marker;
 import eu.etaxonomy.cdm.model.common.MarkerType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CheckboxElement;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
 import eu.etaxonomy.taxeditor.ui.term.AbstractTermComboElement;
 
@@ -30,10 +30,10 @@ public class MarkerElement extends AbstractEntityCollectionElement<Marker>{
 	 * @param element a {@link eu.etaxonomy.cdm.model.common.Marker} object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
 	 */
-	public MarkerElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Marker element,
+	public MarkerElement(CdmFormFactoryFacade cdmFormFactory, AbstractFormSection formElement, Marker element,
 			SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, element, removeListener, null, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerSection.java
index ef1739018..dc61c8ba8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/MarkerSection.java
@@ -9,7 +9,7 @@ import java.util.Collection;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
 import eu.etaxonomy.cdm.model.common.Marker;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -26,10 +26,10 @@ public class MarkerSection extends AbstractEntityCollectionSection<AnnotatableEn
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public MarkerSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public MarkerSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation, parentElement, "Marker", style);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsElement.java
index 2158f6c0f..5959255cc 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsElement.java
@@ -8,11 +8,11 @@ import org.eclipse.swt.events.SelectionListener;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
 import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.media.RightsTerm;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
 import eu.etaxonomy.taxeditor.ui.selection.AbstractSelectionElement;
@@ -45,10 +45,10 @@ public class RightsElement extends AbstractEntityCollectionElement<Rights> {
 	 * @param style
 	 *            a int.
 	 * @param cdmFormFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 */
-	public RightsElement(CdmFormFactory cdmFormFactory,
+	public RightsElement(CdmFormFactoryFacade cdmFormFactory,
 			AbstractFormSection formElement, Rights element,
 			SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, element, removeListener, null, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsSection.java
index f79806588..e5d7455d9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/RightsSection.java
@@ -8,7 +8,7 @@ import java.util.Collection;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.media.Rights;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -25,10 +25,10 @@ public class RightsSection extends AbstractEntityCollectionSection<IdentifiableE
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public RightsSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public RightsSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation, parentElement, "Rights", style);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/SourceSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/SourceSection.java
index aa3393d62..b98ad595c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/SourceSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/SourceSection.java
@@ -8,7 +8,7 @@ import java.util.Collection;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.IIdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -26,10 +26,10 @@ public class SourceSection extends AbstractEntityCollectionSection<IIdentifiable
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public SourceSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public SourceSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation, parentElement, "Sources", style);
 	}
 
